import { queryOffsetLimitParser } from '../../common/parsers/queryParams';
import { z } from 'zod';
import { userIdParser } from '../../user/parsers';
import { currencyAmountParser } from '../../currencies/parsers';

export const userBooksQueryParser = queryOffsetLimitParser.merge(
  z.object({
    userId: userIdParser.optional(),
    minAmount: currencyAmountParser.optional(),
  })
);
